curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_number": "<string>",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"insurance_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encounter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pre_auth_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pa_code": "<string>",
"claim_type": "outpatient",
"hmo_status": "PENDING",
"currency": "<string>",
"amount_billed": 123,
"amount_approved": 123,
"paid_amount": 123,
"written_off_amount": 123,
"patient_responsibility": 123,
"service_date_from": "2023-11-07T05:31:56Z",
"service_date_to": "2023-11-07T05:31:56Z",
"admission_date": "2023-11-07T05:31:56Z",
"discharge_date": "2023-11-07T05:31:56Z",
"is_floating": true,
"submitted_at": "2023-11-07T05:31:56Z",
"vetted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"denial_reason": "<string>",
"denial_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_type": "<string>",
"description": "<string>",
"tariff_code": "<string>",
"service_date": "2023-11-07T05:31:56Z",
"qty_billed": 123,
"unit_price_billed": 123,
"sub_total_billed": 123,
"qty_approved": 123,
"unit_price_approved": 123,
"sub_total_approved": 123,
"hmo_item_status": "PENDING",
"denial_reason": "<string>",
"comments": [
"<string>"
],
"benefit_label": "<string>"
}
],
"diagnoses": [
{
"icd_code": "<string>",
"name": "<string>",
"is_primary": true
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"file_size": 123,
"document_date": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Get an insurer claim
Permission: insurance.claims:read
Get one claim with its lines.
Includes items (billed and approved figures per line), diagnoses and documents (metadata only). A claim of another insurer, a draft and a restricted patient’s claim are the same 404.
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/claims/{claim_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_number": "<string>",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"insurance_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encounter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pre_auth_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pa_code": "<string>",
"claim_type": "outpatient",
"hmo_status": "PENDING",
"currency": "<string>",
"amount_billed": 123,
"amount_approved": 123,
"paid_amount": 123,
"written_off_amount": 123,
"patient_responsibility": 123,
"service_date_from": "2023-11-07T05:31:56Z",
"service_date_to": "2023-11-07T05:31:56Z",
"admission_date": "2023-11-07T05:31:56Z",
"discharge_date": "2023-11-07T05:31:56Z",
"is_floating": true,
"submitted_at": "2023-11-07T05:31:56Z",
"vetted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"denial_reason": "<string>",
"denial_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_type": "<string>",
"description": "<string>",
"tariff_code": "<string>",
"service_date": "2023-11-07T05:31:56Z",
"qty_billed": 123,
"unit_price_billed": 123,
"sub_total_billed": 123,
"qty_approved": 123,
"unit_price_approved": 123,
"sub_total_approved": 123,
"hmo_item_status": "PENDING",
"denial_reason": "<string>",
"comments": [
"<string>"
],
"benefit_label": "<string>"
}
],
"diagnoses": [
{
"icd_code": "<string>",
"name": "<string>",
"is_primary": true
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"file_size": 123,
"document_date": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK.
A claim the clinic submitted to an insurer. status is the clinic-side lifecycle (submitted, approved, partially_approved, denied, partially_paid, paid, ...); hmo_status is the insurer's verdict (PENDING, APPROVED, PARTIALLY_APPROVED, REJECTED). paid_amount and written_off_amount are what the CLINIC has recorded - no API call changes them. items, diagnoses and documents are on the single-claim read only. The clinic's notes and internal analysis are never exposed.
Show child attributes
Show child attributes